com.rscja.deviceapi

## Class ScanerLedLight

- java.lang.Object
- - com.rscja.deviceapi.ScanerLedLight

- All Implemented Interfaces:
    IScanerLedLight

      public class ScanerLedLight
      extends java.lang.Object
      implements IScanerLedLight

  扫描LED灯控制类（仅C6000有效）
  Scanning LED light control type ( valid for C6000 only)
  Author:
    liuruifeng

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanerLedLight()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeAuxiliaryLight(android.content.Context context)` 关闭扫描辅助灯，目前只支持C70系列 Switch on scanning light, support C70 series only
    `static ScanerLedLight` | `getInstance()` 获取LED灯操作实例 Acquire LED light operation example
    `void` | `openAuxiliaryLight(android.content.Context context)` 打开扫描辅助灯，目前只支持C70系列 Switch on scanning light, support C70 series only

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScanerLedLight

          public ScanerLedLight()

  - ### Method Detail

    - #### getInstance

          public static ScanerLedLight getInstance()

      获取LED灯操作实例
      Acquire LED light operation example
      Returns:
        LED灯操作实例
        LED light operation example

    - #### openAuxiliaryLight

          public void openAuxiliaryLight(android.content.Context context)

      Description copied from interface: `IScanerLedLight`
      打开扫描辅助灯，目前只支持C70系列
      Switch on scanning light, support C70 series only
      Specified by:
        `openAuxiliaryLight` in interface `IScanerLedLight`

    - #### closeAuxiliaryLight

          public void closeAuxiliaryLight(android.content.Context context)

      Description copied from interface: `IScanerLedLight`
      关闭扫描辅助灯，目前只支持C70系列
      Switch on scanning light, support C70 series only
      Specified by:
        `closeAuxiliaryLight` in interface `IScanerLedLight`